// MIGPortParatroopers Version 2.0 released 02Feb2002

// To play this Addon you will need to install first the FAMAS AddOn version 1.00 by Vipersheart

// based on the British Special Forces Addon V1.00 by SelectThis and Ebud


// some basic defines 

#define TEast 0 
#define TWest 1 
#define TGuerrila 2 
#define TCivilian 3 
#define TSideUnknown 4 
#define TEnemy 5 
#define TFriendly 6 
#define TLogic 7 

#define true 1 
#define false 0 

// type scope 
#define private 0 
#define protected 1 
#define public 2 

#define WeaponNoSlot0// dummy weapons 
#define WeaponSlotPrimary1// primary weapons 
#define WeaponSlotSecondary16// secondary weapons 
#define WeaponSlotItem256// items 
#define WeaponSlotBinocular4096// binocular 
#define WeaponHardMounted65536 

class CfgPatches
{
	class Groups
     {
         units[] = {};
         weapons[] = {};
         requiredVersion = 1.10;
     };

// MIGPortParas

	class MIGPortParasOff
	{
		units[] = {MIGPortParas};
		weapons[] = {};
		requiredVersion = 1.10;
	};	
	class MIGPortParasSoldier
	{
		units[] = {MIGPortParasSoldier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortParasGrenadier
	{
		units[] = {MIGPortParasGrenadier};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortParasMG
	{
		units[] = {MIGPortParasMG};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortParasMedic
	{
		units[] = {MIGPortParasMedic};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortParasLaw
	{
		units[] = {MIGPortParasLaw};
		weapons[] = {};
		requiredVersion = 1.10;
	};
	class MIGPortParasEngineer
	{
		units[] = {MIGPortParasEngineer};
		weapons[] = {};
		requiredVersion = 1.10;
	};

      class MIGPortParasAT
	{
		units[] = {MIGPortParasAT};
		weapons[] = {};
		requiredVersion = 1.10;
	};
      class MIGPortParasAA
	{
		units[] = {MIGPortParasAA};
		weapons[] = {};
		requiredVersion = 1.10;	};
	
 };
 
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMG:SoldierWB{};
	class SoldierWMedic:SoldierWB{};
	class SoldierWLAW:SoldierWB{};
	class SoldierWAT:SoldierWLAW{};
	class SoldierWAA:SoldierWLAW{};
	class SoldierWMiner:SoldierWB{};
	class SoldierWSaboteur:SoldierWB{};
	class SoldierWSaboteurPipe:SoldierWSaboteur{};
	class SoldierWSniper:SoldierWB{};
	class OfficerW:SoldierWB{};
	class OfficerWNight:SoldierWB{};

// MIGPortParas

	class MIGPortParasOff:SoldierWB{
		displayName="Portuguese Paratrooper Officer";
		weapons[]={"Throw","Put","XMS","NVGoggles","Binocular"};
		magazines[]={"M4","M4","M4","M4","M4","M4","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\MIGPortParas\MIGPortParas";
	};
	class MIGPortParasSoldier:SoldierWB{
		displayName="Portuguese Paratrooper";
		weapons[]={"Throw","Put","VIPFAMAS","NVGoggles"};
		magazines[]={"VIPFAMAS","VIPFAMAS","VIPFAMAS","VIPFAMAS","HandGrenade","HandGrenade","HandGrenade"};
		model="\MIGPortParas\MIGPortParas";
	};
	class MIGPortParasGrenadier:SoldierWB{
		displayName="Portuguese Paratrooper Grenadier";
		weapons[]={"Throw","Put","VIPFAMASm203","NVGoggles"};
		magazines[]={"VIPFAMAS","VIPFAMAS","VIPFAMAS","VIPFAMAS","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
		model="\MIGPortParas\MIGPortParas";
	      picture="igrenadier";
      };
	class MIGPortParasMG:SoldierWMG{
		displayName="Portuguese Paratrooper MGunner";
		weapons[]={"Throw","Put","M60","NVGoggles"};
		magazines[]={"M60","M60","M60","M60","M60"};
		model="\MIGPortParas\MIGPortParas";
	};
	class MIGPortParasMedic:SoldierWMedic{
		displayName="Portuguese Paratrooper Medic";
		weapons[]={"Throw","Put","G36a","NVGoggles"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag"};
		model="\MIGPortParas\MIGPortParas";
	      weaponSlots="1 +  16 + 2 *    4096 + 10 *          256";
      };
	class MIGPortParasLAW:SoldierWLAW{
		displayName="Portuguese Paratrooper LAW";
		weapons[]={"Throw","Put","G36a","NVGoggles","LAWLauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","LAWLauncher","LAWLauncher","LAWLauncher"};
		model="\MIGPortParas\MIGPortParas";
	};
	class MIGPortParasEngineer:SoldierWMiner{
		displayName="Portuguese Paratrooper Engineer";
		weapons[]={"Throw","Put","G36a","NVGoggles","Binocular"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","Mine","Mine","Pipebomb"};
		model="\MIGPortParas\MIGPortParas";
	};
      class MIGPortParasAT:SoldierWAT{
		displayName="Portuguese Paratrooper AT";
		weapons[]={"Throw","Put","NVGoggles","G36a","CarlGustavLauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","CarlGustavLauncher",};
		model="\MIGPortParas\MIGPortParas";
	};
      class MIGPortParasAA:SoldierWAT{
		displayName="Portuguese Paratrooper AA";
		weapons[]={"Throw","Put","NVGoggles","G36a","AALauncher"};
		magazines[]={"G36amag","G36amag","G36amag","G36amag","G36amag"};
		model="\MIGPortParas\MIGPortParas";
	};
 
};



class CfgGroups
{
   class West
   {
      name="West";
       class Infantry  
       {
       name="Infantry"; 
 
         class MIGPortParas
         {
            name="MIG Portugal Paratroopers";
			class Unit0
			{
			name="1";
			side=1;
			vehicle="MIGPortParasOff";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=1;
			vehicle="MIGPortParasGrenadier";
			rank="Corporal";
			position[]={-12,-3,0};
			};
			class Unit2
			{
			name="3";
			side=1;
			vehicle="MIGPortParasMG";
			rank="Corporal";
			position[]={-9,-3,0};
			};
			class Unit3
			{
			name="4";
			side=1;
			vehicle="MIGPortParasLAW";
			rank="Corporal";
			position[]={-6,-3,0};
			};
			class Unit4
			{
			name="5";
			side=1;
			vehicle="MIGPortParasMedic";
			rank="Sergeant";
			position[]={-3,-3,0};
			};
			class Unit5
			{
			name="6";
			side=1;
			vehicle="MIGPortParasMG";
			rank="Private";
			position[]={3,-3,0};
			};
			class Unit6
			{
			name="7";
			side=1;
			vehicle="MIGPortParasGrenadier";
			rank="Private";
			position[]={6,-3,0};
			};
			class Unit7
			{
			name="8";
			side=1;
			vehicle="MIGPortParasLAW";
			rank="Private";
			position[]={9,-3,0};
			};
			class Unit8
			{
			name="9";
			side=1;
			vehicle="MIGPortParasSoldier";
			rank="Private";
 			position[]={12,-3,0};
			};
         };
         
			
//end of MIGPortParas
      };

//end of West   };

//end of groups
};


//end of file
}; 
